using System;
using System.Text;
using System.Web;

namespace CogArtTech.Web.ControlAdapters
{
    public class SimpleTextAdapter : System.Web.UI.WebControls.Adapters.WebControlAdapter
    {
        protected override void Render(System.Web.UI.HtmlTextWriter writer)
        {
            //Surround text output in a <font color="blue"></font> tag
            writer.WriteBeginTag("font");
            writer.WriteAttribute("color", "blue");
            writer.Write(System.Web.UI.HtmlTextWriter.TagRightChar);
            base.Render(writer);
            writer.WriteEndTag("font");
        }
    }
}