using System;
using System.Collections.Generic;
using System.Text;

namespace CogArtTech.Utilities
{
    class TranslatorException: Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="T:TranslatorException"/> class.
        /// </summary>
        public TranslatorException(){}

        /// <summary>
        /// Initializes a new instance of the <see cref="T:TranslatorException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public TranslatorException(String message) : base(message) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="T:TranslatorException"/> class.
        /// </summary>
        /// <param name="innerException">The inner exception.</param>
        public TranslatorException(String message, Exception innerException): base(message, innerException) {}
    }
}
